> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/library-packs/vdi/aws/aws-workspaces-and-appstream-essentials/configuration-guide-aws-workspaces-and-appstream-essentials.md).

# Configuration guide: AWS WorkSpaces and AppStream essentials

{% hint style="warning" %}
The configuration opions on this page are only accessible to [administrators](https://docs.nexthink.com/platform/user-guide/administration/account-management/roles#roles-administration).

Refer to the [Usage guide: AWS WorkSpaces and AppStream essentials](/platform/library-packs/vdi/aws/aws-workspaces-and-appstream-essentials/usage-guide-aws-workspaces-and-appstream-essentials.md) to use library content as a standard user.
{% endhint %}

## **Prerequisites** <a href="#documentation-pre-requisites" id="documentation-pre-requisites"></a>

This library pack contains content from the following required [expansion products](https://docs.nexthink.com/platform/overview/products):

* [Nexthink VDI Experience](/platform/user-guide/vdi-experience.md).

{% hint style="info" %}
Some of these products offer default access to their respective content and can still be used without [expansion products](https://docs.nexthink.com/platform/overview/products).

Refer to the [Nexthink Infinity thresholds and limits overview](https://edocs.nexthink.com/nexthink-infinity/infinity-specifications/nexthink-infinity-default-thresholds-overview) documentation for more information about default thresholds for expansion products.
{% endhint %}

## **Included content and dependencies** <a href="#documentation-contentanddependencies" id="documentation-contentanddependencies"></a>

This library pack contains the following content and dependencies:

<table><thead><tr><th width="145.6666259765625">Content type</th><th width="190">Name</th><th width="399.333251953125">Description</th></tr></thead><tbody><tr><td><a href="/pages/6vuxVatlaWj9nnvq568E">Dashboards</a></td><td>AWS Workspaces and AppStream virtual machines</td><td>Monitor the health and availability of AWS Workspaces and AppStream virtual machines by identifying performance issues that impact user experience.</td></tr><tr><td><a href="/pages/xnZyEzIlIuGaE2uNJRNG">Custom fields</a></td><td>AWS reboot health</td><td>Indicates the reboot health of a device based on the 'Days since last reboot'</td></tr></tbody></table>

## Configuring AWS Workspaces and AppStream essentials

{% hint style="info" %}
Adapt these suggested configuration steps to edit and customize content according to your organizational needs.
{% endhint %}

Follow these steps to install and configure content:

* Before configuration - Install library pack content from [Nexthink Library](https://docs.nexthink.com/platform/user-guide/nexthink-library)
* [Step 1 - Configure custom fields](#step-3-configure-custom-fields)

### Step 1 - Configure custom field

1. From the main menu, navigate to the **Administration** > [Custom fields](https://nexthink.gitbook.io/opd/user-guide/administration/content-management/custom-fields-management) page.
2. Check and customize the rule criteria for each custom field.
3. Edit the NQL queries if necessary to suit your environment and reboot policies.
4. Nexthink recommends the following settings:

<table><thead><tr><th width="140">Name</th><th width="172.3333740234375">NQL ID</th><th width="146.6666259765625">Rule name</th><th width="94.666748046875">Object</th><th width="253.66668701171875">NQL query</th></tr></thead><tbody><tr><td>AWS reboot health</td><td>aws_reboot_health</td><td>Good<br>Average<br>Poor</td><td>device</td><td><pre><code>devices
| where virtualization.desktop_broker in [aws_workspaces , aws_appstream ] and ((virtualization.type in [shared, pooled] and boot.days_since_last_full_boot &#x3C;= 1) or (virtualization.type in [personal] and boot.days_since_last_full_boot &#x3C;= 5))
</code></pre></td></tr></tbody></table>

***

RELATED TOPICS

* [AWS WorkSpaces and AppStream essentials](/platform/library-packs/vdi/aws/aws-workspaces-and-appstream-essentials.md)
* [Usage guide: AWS WorkSpaces and AppStream essentials](/platform/library-packs/vdi/aws/aws-workspaces-and-appstream-essentials/usage-guide-aws-workspaces-and-appstream-essentials.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/library-packs/vdi/aws/aws-workspaces-and-appstream-essentials/configuration-guide-aws-workspaces-and-appstream-essentials.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
